This is a view of the mountable devices (hard disks, CD-ROM, DVD-ROM, ...) on a Linux machine.

Note: see also the diskstats module for displaying statistics on the disks themselves and their partitions, and the mounts module to display the mounted file systems.

The initial table columns are:

- device name (sda, hda, hdb, ... for example)
- device type (currently IDE or SCSI are supported)
- device media (disk, CD-ROM, DVD-ROM, ... for example)
- size in megabytes (with first decimal below 100 megabytes, rounded above)
- device model, with manufacturer, product names, version, ...

Important note: if you find any blank field in the displayed table, or worse, an error on the data displayed, please make sure to email me at jfontain@free.fr so the problem can be corrected as soon as possible. For example, SCSI devices have not been tested extensively due to the lack of available hardware to me...

Module options:ul>

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- -r (--remote) [[rsh|ssh]://][user@]host
  Remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to partitions(host).
  When there is a communication error with the remote host, all rows disappear and the displayed table becomes empty. A descriptive error message is also generated in such a case.

  Notes on remote monitoring:

  - Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
  - On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

  Examples:

      $ moodss disks
      $ moodss disks -r jdoe@foo.bar.com
      $ moodss disks --remote ssh://jdoe@foo.bar.com